//
// Created by sebastian on 12.02.26.
//

#ifndef DICEWARS_SIEDLER_GUITEXT_H
#define DICEWARS_SIEDLER_GUITEXT_H
#include <string>

#include "../../core/gui/uiComponent/Dimensions.h"
#include "glm/vec2.hpp"


class Font;

class GUIText {
public:
    GUIText(Font& font, std::string text, Dimensions& d);
    [[nodiscard]] glm::vec2 getPosition() const;
    [[nodiscard]] glm::vec2 getSize() const;
    [[nodiscard]] Font& getFont() const;
    [[nodiscard]] std::string getText() const;
private:
    Font& font;
    const std::string text;
    const Dimensions& d;
};


#endif //DICEWARS_SIEDLER_GUITEXT_H